shishi_kdc_copy_crealm(3)

NAME
shishi_kdc_copy_crealm - API function

SYNOPSIS
#include <shishi.h>

int shishi_kdc_copy_crealm(Shishi * handle, Shishi_asn1 kdcrep, Shishi_asn1 encticketpart);

ARGUMENTS

Shishi * handle
    Shishi handle as allocated by shishi_init().

Shishi_asn1 kdcrep
    KDC-REP where the field "crealm" is updated.

Shishi_asn1 encticketpart
    EncTicketPart providing "crealm" field.

DESCRIPTION
Reads the field "crealm" from the ticket encticketpart and copies the value into the reply kdcrep.

RETURN VALUE
Returns SHISHI_OK if successful, and ASN.1 failures otherwise.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.